TEMPFILE(1)

NAME
tempfile - eine temporäre Datei in einer sicheren Art und Weise erstellen

ÜBERSICHT
tempfile [-d VERZ] [-p ZEICHENKETTE] [-s ZEICHENKETTE] [-m MODUS] [-n DATEI] [--directory=VERZ] [--prefix=ZEICHENKETTE] [--suffix=ZEICHENKETTE] [--mode=MODUS] [--name=DATEI] [--help] [--version]

BESCHREIBUNG
tempfile erstellt eine temporäre Datei auf eine sichere Art und Weise. Es verwendet mkstemps(3), um den Namen zu wählen und öffnet sie mit O_RDWR | O_CREAT | O_EXCL. Der Dateiname wird auf der Standardausgabe ausgegeben.

Die Verzeichnisse, in der die Datei erstellt wird, könnten in dieser Reihenfolge durchsucht werden:

a)  Falls die Umgebungsvariable TMPDIR existiert und den Namen eines geeigneten Verzeichnisses enthält, wird dieses verwandt.

b)  Falls andernfalls die Option --directory angegeben und geeignet ist, wird sie verwandt.

c)  Andernfalls wird P_tmpdir (wie in <stdio.h> definiert) verwandt, wenn geeignet.

d)  Abschließend könnte ein implementierungsdefiniertes Verzeichnis (/tmp) verwandt werden.

OPTIONEN

-d, --directory VERZ
    die Datei in VERZ erstellen

-m, --mode MODUS
    die Datei mit MODUS anstatt 0600 öffnen.

-n, --name DATEI
    DATEI als Namen statt tempnam(3) verwenden. Die Optionen -d, -p und -s werden bei Verwendung dieser Option ignoriert.

-p, --prefix ZEICHENKETTE
    bis zu fünf Buchstaben aus ZEICHENKETTE für die Erstellung des Namens verwenden.

-s, --suffix ZEICHENKETTE
    Die Datei mit ZEICHENKETTE als Endung erstellen.

--help
    auf der Standardausgabe einen Benutzungshinweis anzeigen und erfolgreich beenden

--version
    auf der Standardausgabe Versionsinformationen anzeigen und erfolgreich beenden

RÜCKGABEWERTE
Ein Rückgabewert von 0 bedeutet, dass die temporäre Datei erfolgreich erstellt wurde. Jeder andere Rückgabewert zeigt einen Fehler an.

FEHLER
Exklusive Erstellung wird bei Dateien auf NFS-Partitionen nicht garantiert. Tempfile kann keine temporären Verzeichnisse erstellen. Tempfile ist veraltet, Sie sollten stattdessen mktemp(1) verwenden.

BEISPIEL
#!/bin/sh
#[…]
t=$(tempfile) || exit
trap "rm -f -- '$t'" EXIT
#[…]
rm -f -- "$t"
trap - EXIT
exit

SIEHE AUCH
tempnam(3), mktemp(1)

ÜBERSETZUNG
Diese Übersetzung wurde 2011 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.